%define upstream_name    Sort-Key-Top
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    Select and sort top n elements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
The functions available from this module select the top n elements from a
list using several common orderings and custom key extraction procedures.

They are all variations around

  keytopsort { CALC_KEY($_) } $n => @data;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.80.0-19.mga9
+ Revision: 1862420
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.80.0-18.mga9
+ Revision: 1796024
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.80.0-17.mga9
+ Revision: 1727121
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.80.0-16.mga8
+ Revision: 1595266
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.80.0-15.mga8
+ Revision: 1530101
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.80.0-14.mga8
+ Revision: 1433899
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.80.0-13.mga7
+ Revision: 1293762
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.80.0-12.mga7
+ Revision: 1249884
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.80.0-11.mga7
+ Revision: 1166580
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.80.0-10.mga7
+ Revision: 1149164
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.80.0-9.mga7
+ Revision: 1126741
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-8.mga6
+ Revision: 1033259
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-7.mga6
+ Revision: 958003
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.80.0-6.mga6
+ Revision: 845290
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.80.0-5.mga6
+ Revision: 841652
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 748238
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 686211
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 631669
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 620762
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-5.mga4
+ Revision: 524488
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-4.mga4
+ Revision: 430954
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 372662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-2.mga3
+ Revision: 251121
- rebuild for perl 5.16

* Thu Jun 30 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 116528
- imported package perl-Sort-Key-Top


* Thu Jun 30 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
